Subject: RE: [AAA-WG]: Comments on draft-mobileip-03

From: "Martin Julien (ECE)" <[email-masked]>
Date: Mon, 14 May 2001 10:08:41 +0200

See comments enclosed.

> > 3) The problem with the previous comment, is that the 
> MIP-Previous-FA-FQDN
> > does not represent the realm of the previous domain, only 
> the FQDN of the
> > FA, which might be only routable by the AAAF, right? I am 
> not sure that
> > the discussion we had on the mailing list a while ago 
> suggested that the
> > FQDN (let's say ABC.com) was the realm plus another name 
> > (let's MACHINE1.ABC.com). That does not make sense to me at 
> least. If it
> > would have been like that, I would argue that we do not need two 
> > destination FQDN and Realm.
> 
> It is, and the reason why we have two separate AVPs is to 
> reduce the amount
> of work done on proxies. This has been done in RADIUS via 
> some vendor-specific
> AVPs, because otherwise each proxy must extract the FQDN, and 
> retrieve the
> Realm. Not alot of work, but very repetitive, so let's save some CPU
> cycles while we can.
> 
> And, btw, if we only had the Destination-FQDN,  it wouldimplies that a
> message would have to be sent to a specific Diameter entity, not
> any one in a given domain.

My understanding was that the FQDN can be also a machine on a different 
domain then the one publish by the proxy. I mean that the back-end of the
proxy could connect to several internal domains, which are not related 
at all with the one of the proxy. Let's say I have some servers within 
my corporate network defined in one domain (ABC.COM), while my proxy
domain shows another one (ACME.COM). I was not expecting the servers
on my corporate network to be defined as DIA1.ACME.COM. Also, I 
assume that it would not be allowed to define an FQDN for my 
corporate servers like DIA1.net1.ACME.COM, for the case you are 
referring to, right?

> > I would tend to agree that I would
> > prefer that decision to be left to the AAAH, or the AAAF, 
> > to decide the meaning of the content of those AVPs, instead of 
> > not sending the AVPs of setting a flag.
> 
> Well, the flags *are* necessary for accounting purposes. No way
> around that. The Feature-Vector in the accounting message will
> provide some details on the type of session being provided. At
> the same time, you want the home address and agent to be in the
> accounting record, so including the zero or all ones in the
> accounting message would be bad.

So, if it is bad, then why are you asking the question in the next
paragraph, whether AVPs with 0.0.0.0 or 255.255.255.255 should at all
be included in the message?

> So, bits are necessary. The real question is whether it really makes
> sense to state that the AVPs MUST NOT be included if the bits are
> set.
> 
> Anyone?

I really don't mind which way it has to work, even though I still
think it makes more sense to simply add AVPs to the AMR messages
about the Home Agent and Home Address that correspond to the content
of the MIP message, rather than the FA playing around with the meaning
of them itself.

> > > > 22- Section 8.2 and 8.5, should be "by the user" instead of 
> > > "to the user".
> > > 
> > > Output packets and octets are those sent to the user, not 
> by the user.
> > > You are confusing these with the input counters.
> > 
> > The confusion is from what you say for Input and what you say for
> > Output. In 8.1, you say "received by the user", and in 8.2, you say
> > "sent to the user". Maybe you meant, in 8.1, "received from 
> the user"?
> > Also apply to 8.4 and 8.5.
> 
> so "received by the user" -> "received from the user"
> "sent to the user" stays the way it is.
> 
> right?

Perfect.

Thanks a lot!
Martin

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 14 May 2001 06:52:18 -0700

> corporate servers like DIA1.net1.ACME.COM, for the case you are 

The Destination-FQDN is the *final* target for a message. If your proxy
has a different domain than your home server, that's fine. When the 
routing path is setup with your partners, you simply tell them that any
messages for *.ABC.COM go through ACME.COM. This is straight forward 
proxying.

However, ther must be a way to encode the target Diameter host, if one is
needed. There are applications where this is useful (e.g. get the HAR to
the right Home Agent, perhaps through proxies in a visited network).

As far as server naming, you can call it whatever you like. However,
if it isn't a real FQDN that one uses with DNS, then there is NO possibility
for dynamic discovery.

> be included in the message?

In Authentication messages, they would include all ones or zeros. However,
in accounting messages, they would include the assigned values.

> of the MIP message, rather than the FA playing around with the meaning

But their meaning is clear cut. There really isn't alot of room for
interpretation, and it is useful for accounting messages.

I fail to see a problem...

Thanks,

PatC